stages:
  - test


.test:
  image: $IMAGE
  stage: test
  services:
    - name: $MONGO
      alias: mongo
  variables:
    MONGO_SERVER: mongo
  script:
    - npm ci
    - npm run test

test:
  extends: .test
  parallel:
    matrix:
      - IMAGE: ['node:14-alpine', 'node:16-alpine', 'node:18-alpine']
        MONGO: ['mongo:4.4', 'mongo:5']
